pidgin: _PurpleConvChatBuddy Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleConvChatBuddy Struct Reference

Data for "Chat Buddies". More...

`#include <conversation.h>`

## Data Fields
char * | name
| The chat participant's name in the chat.
char * | alias
| The chat participant's alias, if known; NULL otherwise.
char * | alias_key
| A string by which this buddy will be sorted, or `NULL` if the buddy should be sorted by its `name`.
gboolean | buddy
| TRUE if this chat participant is on the buddy list; FALSE otherwise.
PurpleConvChatBuddyFlags | flags
| A bitwise OR of flags for this participant, such as whether they are a channel operator.
GHashTable * | attributes
| A hash table of attributes about the user, such as real name, user@host, etc.
gpointer | ui_data

## Detailed Description

Data for "Chat Buddies".

Definition at line 295 of file conversation.h.

## Field Documentation

## ◆ alias

char* _PurpleConvChatBuddy::alias

The chat participant's alias, if known; NULL otherwise.

Definition at line 298 of file conversation.h.

## ◆ alias_key

char* _PurpleConvChatBuddy::alias_key

A string by which this buddy will be sorted, or `NULL` if the buddy should be sorted by its `name`.

(This is currently always `NULL`.)

Definition at line 301 of file conversation.h.

## ◆ attributes

GHashTable* _PurpleConvChatBuddy::attributes

A hash table of attributes about the user, such as real name, user@host, etc.

Definition at line 312 of file conversation.h.

## ◆ buddy

gboolean _PurpleConvChatBuddy::buddy

TRUE if this chat participant is on the buddy list; FALSE otherwise.

Definition at line 306 of file conversation.h.

## ◆ flags

PurpleConvChatBuddyFlags _PurpleConvChatBuddy::flags

A bitwise OR of flags for this participant, such as whether they are a channel operator.

Definition at line 309 of file conversation.h.

## ◆ name

char* _PurpleConvChatBuddy::name

The chat participant's name in the chat.

Definition at line 297 of file conversation.h.

## ◆ ui_data

gpointer _PurpleConvChatBuddy::ui_data

Definition at line 315 of file conversation.h.

The documentation for this struct was generated from the following file:

- conversation.h